Subject: Re: [bug#44457] [PATCH]: gnu: Add hunspell-dict-it-it.
From: Ludovic Courtès <[email-masked]>
To: paul <[email-masked]>
Cc: [email-masked]
Date: Sun, 27 Dec 2020 16:17:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

paul <[email-masked]> skribis:

> We definitely can but if I understood correctly they are generated
> from STOW wordlists [0] which seems to contain only variants of the
> English language.

Oh right.

> Since also the Libreoffice repository contains some of those variants,
> I was wondering, to achieve better consistency with future
> dictionaries, if it's worth either
>
> - to migrate the duplicates to use (hunspell-dictionary) from (gnu
>   packages hunspell)
>
> - or just to use STOW for the English language and its variants and
>   Libreoffice dictionaries for all the supported languages
>
> I believe either way we should be able to avoid collisions, but maybe
> I should just rename this one dictionary and, after we reach
> consensus, we can always decide to change it back. What do you think?

I think it’s fine this way, I hadn’t realized that the hunspell-dict-*
from aspell.scm were English only.

Now, I just noticed that libreoffice.scm also :-) comes with
huspell-dict-* packages, which are built from yet other sources (primary
sources it seems, rather than LibreOffice).

I’ve applied this patch, but perhaps we should now move those
dictionaries from libreoffice.scm to hunspell.scm?

Thanks!

Ludo’.